Bug 716700 - Review Request: perl-FusionInventory-Agent-Task-OcsDeploy - OCS Inventory NG Software deployment support for FusionInventory Agent
Summary: Review Request: perl-FusionInventory-Agent-Task-OcsDeploy - OCS Inventory NG ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 716695
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-26 13:47 UTC by Remi Collet
Modified: 2011-08-22 14:46 UTC (History)
3 users (show)

Fixed In Version: fusioninventory-agent-2.1.9-3.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-17 00:55:24 UTC
Type: ---
karlthered: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2011-06-26 13:47:32 UTC
Spec URL: https://raw.github.com/remicollet/remirepo/master/perl-FusionInventory-Agent-Task-OcsDeploy/perl-FusionInventory-Agent-Task-OcsDeploy.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/perl-FusionInventory-Agent-Task-OcsDeploy-1.1.0-2.remi.src.rpm
Description: 
With this module, FusionInventory Agent can accept software deployment
request from an OCS Inventory server NG.

Comment 2 Haïkel Guémar 2011-08-08 00:11:18 UTC
perl-FusionInventory-Agent-Task-OcsDeploy (Perl package)

MUST: rpmlint must be run on src.rpm and rpm.  OK
$ rpmlint -iv perl-FusionInventory-Agent-Task-OcsDeploy-1.1.0-3.fc17.src.rpm
perl-FusionInventory-Agent-Task-OcsDeploy.src: I: checking
perl-FusionInventory-Agent-Task-OcsDeploy.src: I: checking-url http://forge.fusioninventory.org/projects/fusioninventory-agent-task-ocsdeploy (timeout 10 seconds)
perl-FusionInventory-Agent-Task-OcsDeploy.src: I: checking-url http://search.cpan.org/CPAN/authors/id/F/FU/FUSINV/FusionInventory-Agent-Task-OcsDeploy-1.1.0.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint -iv perl-FusionInventory-Agent-Task-OcsDeploy-1.1.0-3.fc17.noarch.rpm 
perl-FusionInventory-Agent-Task-OcsDeploy.noarch: I: checking
perl-FusionInventory-Agent-Task-OcsDeploy.noarch: I: checking-url http://forge.fusioninventory.org/projects/fusioninventory-agent-task-ocsdeploy (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

MUST: package named accordingly to package naming guidelines. OK 

MUST: spec file name match %{name}  OK

MUST: package meets packaging guidelines OK

MUST: package must be licensed under a fedora-compliant license OK (GPLv2+)

MUST: License field in package spec match actual license OK
License file included and distributed

MUST: spec in legible american english OK

MUST: sources provided match upstream's OK

provided sources sha1sum: e9f3c25e60542aef69b61318fb526b7b042099e6
upstream sources sha1sum: e9f3c25e60542aef69b61318fb526b7b042099e6

MUST: package successfully compiles on at least one primary architecture OK
(all of them)

MUST: all build dependencies are listed in BR OK

MUST: package must own all directories it creates OK

MUST: package does not list a file more than once in %files section OK

MUST: permissions are properly set OK

MUST: package consistenly use macros OK
Note: perl filters works with both RPM 4.8 and 4.9

MUST: package contains permissable content OK

MUST: package does not own directories owned by other packages OK

MUST: all filenames in package are valid UTF-8 OK

SHOULD: mock builds were done on branched f16 && rawhide on all primary architectures (x86/x86_64) OK

SHOULD: man pages are provided OK

This package respects general & Perl Fedora Packaging guidelines, so i hereby approve this package into Fedora Packages Collection

Comment 3 Remi Collet 2011-08-08 15:01:59 UTC
Tanks for the review :)

New Package SCM Request
=======================
Package Name: perl-FusionInventory-Agent-Task-OcsDeploy
Short Description: OCS Inventory NG Software deployment support for FusionInventory Agent
Owners: remi
Branches: f14 f15 f16 el6
InitialCC:

Comment 4 Gwyn Ciesla 2011-08-08 15:05:54 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2011-08-08 17:14:12 UTC
fusioninventory-agent-2.1.9-3.fc16,perl-FusionInventory-Agent-Task-NetDiscovery-1.5-2.fc16,perl-FusionInventory-Agent-Task-OcsDeploy-1.1.0-3.fc16,perl-FusionInventory-Agent-Task-ESX-1.1.2-2.fc16,perl-FusionInventory-Agent-Task-SNMPQuery-1.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fusioninventory-agent-2.1.9-3.fc16,perl-FusionInventory-Agent-Task-NetDiscovery-1.5-2.fc16,perl-FusionInventory-Agent-Task-OcsDeploy-1.1.0-3.fc16,perl-FusionInventory-Agent-Task-ESX-1.1.2-2.fc16,perl-FusionInventory-Agent-Task-SNMPQuery-1.3-1.fc16

Comment 6 Fedora Update System 2011-08-08 17:17:48 UTC
fusioninventory-agent-2.1.9-3.fc15,perl-FusionInventory-Agent-Task-ESX-1.1.2-2.fc15,perl-FusionInventory-Agent-Task-SNMPQuery-1.3-1.fc15,perl-FusionInventory-Agent-Task-NetDiscovery-1.5-2.fc15,perl-FusionInventory-Agent-Task-OcsDeploy-1.1.0-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fusioninventory-agent-2.1.9-3.fc15,perl-FusionInventory-Agent-Task-ESX-1.1.2-2.fc15,perl-FusionInventory-Agent-Task-SNMPQuery-1.3-1.fc15,perl-FusionInventory-Agent-Task-NetDiscovery-1.5-2.fc15,perl-FusionInventory-Agent-Task-OcsDeploy-1.1.0-3.fc15

Comment 7 Fedora Update System 2011-08-08 17:19:54 UTC
fusioninventory-agent-2.1.9-3.fc14,perl-FusionInventory-Agent-Task-SNMPQuery-1.3-1.fc14,perl-FusionInventory-Agent-Task-NetDiscovery-1.5-2.fc14,perl-FusionInventory-Agent-Task-ESX-1.1.2-2.fc14,perl-FusionInventory-Agent-Task-OcsDeploy-1.1.0-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fusioninventory-agent-2.1.9-3.fc14,perl-FusionInventory-Agent-Task-SNMPQuery-1.3-1.fc14,perl-FusionInventory-Agent-Task-NetDiscovery-1.5-2.fc14,perl-FusionInventory-Agent-Task-ESX-1.1.2-2.fc14,perl-FusionInventory-Agent-Task-OcsDeploy-1.1.0-3.fc14

Comment 8 Fedora Update System 2011-08-08 20:48:00 UTC
fusioninventory-agent-2.1.9-3.fc16, perl-FusionInventory-Agent-Task-NetDiscovery-1.5-2.fc16, perl-FusionInventory-Agent-Task-OcsDeploy-1.1.0-3.fc16, perl-FusionInventory-Agent-Task-ESX-1.1.2-2.fc16, perl-FusionInventory-Agent-Task-SNMPQuery-1.3-1.fc16 has been pushed to the Fedora 16 testing repository.

Comment 9 Fedora Update System 2011-08-17 00:54:59 UTC
fusioninventory-agent-2.1.9-3.fc14, perl-FusionInventory-Agent-Task-SNMPQuery-1.3-1.fc14, perl-FusionInventory-Agent-Task-NetDiscovery-1.5-2.fc14, perl-FusionInventory-Agent-Task-ESX-1.1.2-2.fc14, perl-FusionInventory-Agent-Task-OcsDeploy-1.1.0-3.fc14 has been pushed to the Fedora 14 stable repository.

Comment 10 Fedora Update System 2011-08-17 01:02:40 UTC
fusioninventory-agent-2.1.9-3.fc15, perl-FusionInventory-Agent-Task-ESX-1.1.2-2.fc15, perl-FusionInventory-Agent-Task-SNMPQuery-1.3-1.fc15, perl-FusionInventory-Agent-Task-NetDiscovery-1.5-2.fc15, perl-FusionInventory-Agent-Task-OcsDeploy-1.1.0-3.fc15 has been pushed to the Fedora 15 stable repository.

Comment 11 Fedora Update System 2011-08-22 14:45:42 UTC
fusioninventory-agent-2.1.9-3.fc16, perl-FusionInventory-Agent-Task-NetDiscovery-1.5-2.fc16, perl-FusionInventory-Agent-Task-OcsDeploy-1.1.0-3.fc16, perl-FusionInventory-Agent-Task-ESX-1.1.2-2.fc16, perl-FusionInventory-Agent-Task-SNMPQuery-1.3-1.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.